{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.desktop.hypr;
in {
  options.desktop.hypr = {
    enable = lib.mkEnableOption "enable hypr on nixos side";
  };

  config = lib.mkIf cfg.enable {
    # enable hyprland
    programs.hyprland.enable = true;

    # give hyprlock perms to unlock
    security.pam.services.hyprlock = {
      enable = true;
    };
  };
}
